Bug 172302 - Mozilla resizes when opening context menu (right mouse button) in Domino WebAccess
Mozilla resizes when opening context menu (right mouse button) in Domino WebA...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: firefox (Show other bugs)
5.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
desktop-bugs@redhat.com
massRequestForReproduction
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-02 10:26 EST by Thomas Serries
Modified: 2010-10-21 23:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-25 13:12:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Serries 2005-11-02 10:26:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.10) Gecko/20050719 Red Hat/1.0.6-1.4.1 Firefox/1.0.6

Description of problem:
Using Domino WebAccess 6.5.4 the Mozilla window resizes -- it's scaling down, not minimizing -- as soon as I try to open the context menu (click on right mouse button, e.g. over a mail in my inbox).

By default, the window size should keep its original size.

I made regression tests with:
- Mozilla 1.7.12 (from Red Hat, RHEL 4 Desktop): Window resizes
- Mozilla 1.7.10 (from mozilla.org): Window keeps original size
- Mozilla 1.4.1 (from mozilla.org): Window keeps original size

The bug can be reproduced with Domino WebAccess 6.5.1 , too.

Version-Release number of selected component (if applicable):
mozilla-1.7.10-1.4.1:37

How reproducible:
Always

Steps to Reproduce:
1. Open a Domino WebAccess 6.5.(1/4) mail inbox in Mozilla 1.7.(10/12)
2. Move mouse over a mail or folder entry. 
3. Press right mouse button to open the context menu of Domino WebAccess.

  

Actual Results:  Mozilla window resizes automatically. The resulting window is to small for further efficient working.

Expected Results:  The Mozilla window has to keep its original size.

Additional info:

As IBM affirms and my regression test show, the resizing is not initiated by Domino WebAccess.
Disabling of "Move or resize of existing windows" in the JavaScript preferences is no valid solution for this bug as we (urgently) need this feature for some web applications.
Comment 1 Matěj Cepl 2008-02-08 15:41:53 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]
Comment 2 Thomas Serries 2008-02-11 01:46:53 EST
The bug is still reproduceable wit RHEL5/Firefox: Mozilla/5.0 (X11; U; Linux
i686; de; rv:1.8.0.12) Gecko/20071122 Red Hat/1.5.0.12-7.el5 Firefox/1.5.0.12.

Best reguards
Thomas Serries
Comment 4 Matěj Cepl 2009-01-12 11:53:41 EST
Reporter, could you still reproduce it with the FF3.0?
Comment 5 Thomas Serries 2009-01-13 01:55:54 EST
Yes, the effect can still be reproduced with Firefox 3.0.4-1.el5 when using Domino WebAccess (DWA) 6.5.4.

But DWA 6.5.4 does not work properly with Firefox 3.X as DWA 6.5.4 uses features, that where removed from Firefox 3.x (and the lastest releases of Firefox 1.5). With DWA 8.X and Firefox 3.X (constellation supported by IBM) this issue can no longer be reproduced (IBM seems to have changed something when opening context menu).

Best Reguards
Thomas Serries
Comment 6 Christopher Aillon 2009-03-10 17:40:26 EDT
Then it sounds like this is really a bug in DWA, and FF is just doing what DWA is telling it to do.

Do either of the following preferences (in about:config) help?

dom.event.contextmenu.enabled = false
dom.disable_window_move_resize = true
Comment 7 Christopher Aillon 2009-05-18 23:09:09 EDT
Unless anyone can reply to my query in comment 6 and can show this to be a bug in Firefox, I feel this should be closed as NOTABUG, because I believe this to be a Domino Web Access bug, especially since it works in newer versions (8.x) of DWA, but not in older versions.

Note You need to log in before you can comment on or make changes to this bug.